The following patch fixes the function checks in configure for
getseuserbyname() and get_default_context_with_level(). These functions
are in libselinux, and since -lselinux is not added to LIBS, these
functions could never be found.

Please apply.

configure.ac | 3 +++
1 file changed, 3 insertions(+)

--- openssh-4.4p1.orig/configure.ac 2006-09-24 15:08:59.000000000 -0400
+++ openssh-4.4p1/configure.ac 2006-10-02 22:22:41.658955080 -0400
@@ -3145,7 +3145,10 @@
AC_MSG_ERROR(SELinux support requires selinux.h header))
AC_CHECK_LIB(selinux, setexeccon, [ LIBSELINUX="-lselinux" ],
AC_MSG_ERROR(SELinux support requires libselinux library))
+ save_LIBS="$LIBS"
+ LIBS="$LIBS $LIBSELINUX"
AC_CHECK_FUNCS(getseuserbyname get_default_context_with_level)
+ LIBS="$save_LIBS"
fi ]
)
AC_SUBST(LIBSELINUX)


--
Chris PeBenito

Developer,
Hardened Gentoo Linux

Public Key: http://pgp.mit.edu:11371/pks/lookup?...rch=0xE6AF9243
Key fingerprint = B0E6 877A 883F A57A 8E6A CB00 BC8E E42D E6AF 9243

_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@mindrot.org
http://lists.mindrot.org/mailman/lis...enssh-unix-dev